*** old-NetBSD/src/gnu/usr.bin/groff/tbl/table.cc
--- NetBSD/src/gnu/usr.bin/groff/tbl/table.cc
***************
*** 663,669 ****
    prints(".if \\n[" SAVED_FILL_REG "] .fi\n"
  	 ".in 0\n");
    prints(".ll ");
!   for (int i = start_col; i <= end_col; i++)
      if (mw[i].empty())
        break;
    if (i > end_col) {
--- 663,670 ----
    prints(".if \\n[" SAVED_FILL_REG "] .fi\n"
  	 ".in 0\n");
    prints(".ll ");
!   int i;
!   for (i = start_col; i <= end_col; i++)
      if (mw[i].empty())
        break;
    if (i > end_col) {
***************
*** 1274,1280 ****
  
  void table::add_stuff(stuff *p)
  {
!   for (stuff **pp = &stuff_list; *pp; pp = &(*pp)->next)
      ;
    *pp = p;
  }
--- 1275,1282 ----
  
  void table::add_stuff(stuff *p)
  {
!   stuff **pp;
!   for (pp = &stuff_list; *pp; pp = &(*pp)->next)
      ;
    *pp = p;
  }
***************
*** 1324,1330 ****
      assert(allocated_rows > r);
      while (nrows <= r) {
        entry[nrows] = new table_entry*[ncolumns];
!       for (int i = 0; i < ncolumns; i++)
  	entry[nrows][i] = 0;
        vline[nrows] = new char[ncolumns+1];
        for (i = 0; i < ncolumns+1; i++)
--- 1326,1333 ----
      assert(allocated_rows > r);
      while (nrows <= r) {
        entry[nrows] = new table_entry*[ncolumns];
!       int i;
!       for (i = 0; i < ncolumns; i++)
  	entry[nrows][i] = 0;
        vline[nrows] = new char[ncolumns+1];
        for (i = 0; i < ncolumns+1; i++)
***************
*** 1590,1596 ****
        e->input_filename = fn;
        e->start_row = e->end_row = r;
        e->start_col = e->end_col = c;
!       for (table_entry **p = &entry_list; *p; p = &(*p)->next)
  	;
        *p = e;
        entry[r][c] = e;
--- 1593,1600 ----
        e->input_filename = fn;
        e->start_row = e->end_row = r;
        e->start_col = e->end_col = c;
!       table_entry **p;
!       for (p = &entry_list; *p; p = &(*p)->next)
  	;
        *p = e;
        entry[r][c] = e;
***************
*** 1924,1930 ****
    printfs(".nr " NEEDED_REG " \\n[%1]-(\\n[%2]", 
  	  span_width_reg(start_col, end_col),
  	  span_width_reg(start_col, start_col));
!   for (int i = start_col + 1; i <= end_col; i++) {
      // The column separation may shrink with the expand option.
      if (!(flags & EXPAND))
        printfs("+%1n", as_string(column_separation[i - 1]));
--- 1928,1935 ----
    printfs(".nr " NEEDED_REG " \\n[%1]-(\\n[%2]", 
  	  span_width_reg(start_col, end_col),
  	  span_width_reg(start_col, start_col));
!   int i;
!   for (i = start_col + 1; i <= end_col; i++) {
      // The column separation may shrink with the expand option.
      if (!(flags & EXPAND))
        printfs("+%1n", as_string(column_separation[i - 1]));
***************
*** 1975,1981 ****
    table_entry *p = entry_list;
    while (p) {
      if (p->end_col != p->start_col) {
!       for (horizontal_span *q = span_list; q; q = q->next)
  	if (q->start_col == p->start_col
  	    && q->end_col == p->end_col)
  	  break;
--- 1980,1987 ----
    table_entry *p = entry_list;
    while (p) {
      if (p->end_col != p->start_col) {
!       horizontal_span *q;
!       for (q = span_list; q; q = q->next)
  	if (q->start_col == p->start_col
  	    && q->end_col == p->end_col)
  	  break;
***************
*** 1990,1996 ****
    horizontal_span *unsorted = span_list;
    span_list = 0;
    while (unsorted) {
!     for (horizontal_span **pp = &span_list; *pp; pp = &(*pp)->next)
        if (unsorted->end_col < (*pp)->end_col
  	  || (unsorted->end_col == (*pp)->end_col
  	      && (unsorted->start_col > (*pp)->start_col)))
--- 1996,2003 ----
    horizontal_span *unsorted = span_list;
    span_list = 0;
    while (unsorted) {
!     horizontal_span **pp;
!     for (pp = &span_list; *pp; pp = &(*pp)->next)
        if (unsorted->end_col < (*pp)->end_col
  	  || (unsorted->end_col == (*pp)->end_col
  	      && (unsorted->start_col > (*pp)->start_col)))
***************
*** 2017,2022 ****
--- 2024,2030 ----
    }
    if (flags & EXPAND) {
      int total_sep = left_separation + right_separation;
+     int i;
      for (int i = 0; i < ncolumns - 1; i++)
        total_sep += column_separation[i];
      if (total_sep != 0) {
***************
*** 2035,2041 ****
    printfs(".nr %1 %2*\\n[" SEPARATION_FACTOR_REG "]\n",
  	  column_start_reg(0),
  	  as_string(left_separation));
!   for (int i = 1;; i++) {
      printfs(".nr %1 \\n[%2]+\\n[%3]\n",
  	    column_end_reg(i-1),
  	    column_start_reg(i-1),
--- 2043,2050 ----
    printfs(".nr %1 %2*\\n[" SEPARATION_FACTOR_REG "]\n",
  	  column_start_reg(0),
  	  as_string(left_separation));
!   int i;
!   for (i = 1;; i++) {
      printfs(".nr %1 \\n[%2]+\\n[%3]\n",
  	    column_end_reg(i-1),
  	    column_start_reg(i-1),
***************
*** 2066,2072 ****
  void table::make_columns_equal()
  {
    int first = -1;		// index of first equal column
!   for (int i = 0; i < ncolumns; i++)
      if (equal[i]) {
        if (first < 0) {
  	printfs(".nr %1 \\n[%1]", span_width_reg(i, i));
--- 2075,2082 ----
  void table::make_columns_equal()
  {
    int first = -1;		// index of first equal column
!   int i;
!   for (i = 0; i < ncolumns; i++)
      if (equal[i]) {
        if (first < 0) {
  	printfs(".nr %1 \\n[%1]", span_width_reg(i, i));
***************
*** 2149,2155 ****
  	     && entry[r][start_col] != 0
  	     && entry[r][start_col]->start_row != r)
  	start_col++;
!       for (int end_col = start_col;
  	   end_col < ncolumns
  	   && (entry[r][end_col] == 0
  	       || entry[r][end_col]->start_row == r);
--- 2159,2166 ----
  	     && entry[r][start_col] != 0
  	     && entry[r][start_col]->start_row != r)
  	start_col++;
!       int end_col;
!       for (end_col = start_col;
  	   end_col < ncolumns
  	   && (entry[r][end_col] == 0
  	       || entry[r][end_col]->start_row == r);
***************
*** 2197,2203 ****
  	     && entry[r][start_col] != 0
  	     && entry[r][start_col]->start_row != r)
  	start_col++;
!       for (int end_col = start_col;
  	   end_col < ncolumns
  	   && (entry[r][end_col] == 0
  	       || entry[r][end_col]->start_row == r);
--- 2208,2215 ----
  	     && entry[r][start_col] != 0
  	     && entry[r][start_col]->start_row != r)
  	start_col++;
!       int end_col;
!       for (end_col = start_col;
  	   end_col < ncolumns
  	   && (entry[r][end_col] == 0
  	       || entry[r][end_col]->start_row == r);
***************
*** 2305,2311 ****
      result = "";
    }
    else {
!     for (stuff *p = stuff_list; p && p->row < end_row + 1; p = p->next)
        ;
      if (p && p->row == end_row + 1 && p->is_double_line()) {
        result = "-" DOUBLE_LINE_SEP;
--- 2317,2324 ----
      result = "";
    }
    else {
!     stuff *p;
!     for (p = stuff_list; p && p->row < end_row + 1; p = p->next)
        ;
      if (p && p->row == end_row + 1 && p->is_double_line()) {
        result = "-" DOUBLE_LINE_SEP;
***************
*** 2399,2405 ****
  	  && (end_row == nrows - 1 
  	      || vline[end_row+1][col] != vline[end_row][col]
  	      || vline_spanned(end_row+1, col))) {
! 	for (int start_row = end_row - 1;
  	     start_row >= 0
  	     && vline[start_row][col] == vline[end_row][col]
  	     && !vline_spanned(start_row, col);
--- 2412,2419 ----
  	  && (end_row == nrows - 1 
  	      || vline[end_row+1][col] != vline[end_row][col]
  	      || vline_spanned(end_row+1, col))) {
! 	int start_row;
! 	for (start_row = end_row - 1;
  	     start_row >= 0
  	     && vline[start_row][col] == vline[end_row][col]
  	     && !vline_spanned(start_row, col);
***************
*** 2498,2504 ****
    if (!(flags & NOKEEP) && row_begins_section(r))
      prints("." KEEP_MACRO_NAME "\n");
    int had_line = 0;
!   for (stuff *p = stuff_list; p && p->row < r; p = p->next)
      ;
    for (stuff *p1 = p; p1 && p1->row == r; p1 = p1->next)
      if (!p1->printed && (p1->is_single_line() || p1->is_double_line())) {
--- 2512,2519 ----
    if (!(flags & NOKEEP) && row_begins_section(r))
      prints("." KEEP_MACRO_NAME "\n");
    int had_line = 0;
!   stuff *p;
!   for (p = stuff_list; p && p->row < r; p = p->next)
      ;
    for (stuff *p1 = p; p1 && p1->row == r; p1 = p1->next)
      if (!p1->printed && (p1->is_single_line() || p1->is_double_line())) {
*** old-NetBSD/src/gnu/usr.bin/groff/tfmtodit/tfmtodit.cc
--- NetBSD/src/gnu/usr.bin/groff/tfmtodit/tfmtodit.cc
***************
*** 825,831 ****
        m[4] = g.get_left_adjustment(i);
        m[5] = g.get_right_adjustment(i);
        printf("%s\t%d", p->ch, m[0]*MULTIPLIER);
!       for (int j = int(sizeof(m)/sizeof(m[0])) - 1; j > 0; j--)
  	if (m[j] != 0)
  	  break;
        for (int k = 1; k <= j; k++)
--- 825,832 ----
        m[4] = g.get_left_adjustment(i);
        m[5] = g.get_right_adjustment(i);
        printf("%s\t%d", p->ch, m[0]*MULTIPLIER);
!       int j;
!       for (j = int(sizeof(m)/sizeof(m[0])) - 1; j > 0; j--)
  	if (m[j] != 0)
  	  break;
        for (int k = 1; k <= j; k++)
*** old-NetBSD/src/gnu/usr.bin/groff/troff/dictionary.cc
--- NetBSD/src/gnu/usr.bin/groff/troff/dictionary.cc
***************
*** 28,34 ****
  static int is_good_size(int p)
  {
    const int SMALL = 10;
!   for (unsigned i = 2; i <= p/2; i++)
      if (p % i == 0)
        return 0;
    for (i = 0x100; i != 0; i <<= 8)
--- 28,35 ----
  static int is_good_size(int p)
  {
    const int SMALL = 10;
!   unsigned i;
!   for (i = 2; i <= p/2; i++)
      if (p % i == 0)
        return 0;
    for (i = 0x100; i != 0; i <<= 8)
***************
*** 49,55 ****
  
  void *dictionary::lookup(symbol s, void *v)
  {
!   for (int i = int(s.hash() % size); 
         table[i].v != 0;
         i == 0 ? i = size - 1: --i)
      if (s == table[i].s) {
--- 50,57 ----
  
  void *dictionary::lookup(symbol s, void *v)
  {
!   int i;
!   for (i = int(s.hash() % size); 
         table[i].v != 0;
         i == 0 ? i = size - 1: --i)
      if (s == table[i].s) {
***************
*** 96,102 ****
  void *dictionary::remove(symbol s)
  {
    // this relies on the fact that we are using linear probing
!   for (int i = int(s.hash() % size);
         table[i].v != 0 && s != table[i].s;
         i == 0 ? i = size - 1: --i)
      ;
--- 98,105 ----
  void *dictionary::remove(symbol s)
  {
    // this relies on the fact that we are using linear probing
!   int i;
!   for (i = int(s.hash() % size);
         table[i].v != 0 && s != table[i].s;
         i == 0 ? i = size - 1: --i)
      ;
*** old-NetBSD/src/gnu/usr.bin/groff/troff/div.cc
--- NetBSD/src/gnu/usr.bin/groff/troff/div.cc
***************
*** 446,452 ****
  void top_level_diversion::add_trap(symbol nm, vunits pos)
  {
    trap *first_free_slot = 0;
!   for (trap **p = &page_trap_list; *p; p = &(*p)->next) {
      if ((*p)->nm.is_null()) {
        if (first_free_slot == 0)
  	first_free_slot = *p;
--- 446,453 ----
  void top_level_diversion::add_trap(symbol nm, vunits pos)
  {
    trap *first_free_slot = 0;
!   trap **p;
!   for (p = &page_trap_list; *p; p = &(*p)->next) {
      if ((*p)->nm.is_null()) {
        if (first_free_slot == 0)
  	first_free_slot = *p;
*** old-NetBSD/src/gnu/usr.bin/groff/troff/div.h
--- NetBSD/src/gnu/usr.bin/groff/troff/div.h
***************
*** 145,148 ****
  void handle_first_page_transition();
  void blank_line();
  
! extern void cleanup_and_exit(int);
--- 145,154 ----
  void handle_first_page_transition();
  void blank_line();
  
! #ifdef __GNUG__
! #define NO_RETURN volatile
! #else
! #define NO_RETURN
! #endif
! 
! extern NO_RETURN void cleanup_and_exit(int);
*** old-NetBSD/src/gnu/usr.bin/groff/troff/env.cc
--- NetBSD/src/gnu/usr.bin/groff/troff/env.cc
***************
*** 136,142 ****
        )
      curdiv->output(nd, no_fill, vs, ls, width);
    else {
!     for (pending_output_line **p = &pending_lines; *p; p = &(*p)->next)
        ;
      *p = new pending_output_line(nd, no_fill, vs, ls, width);
    }
--- 136,143 ----
        )
      curdiv->output(nd, no_fill, vs, ls, width);
    else {
!     pending_output_line **p;
!     for (p = &pending_lines; *p; p = &(*p)->next)
        ;
      *p = new pending_output_line(nd, no_fill, vs, ls, width);
    }
***************
*** 1586,1592 ****
    if (line == 0)
      return;
    hyphenation_type prev_type = line->get_hyphenation_type();
!   for (node **startp = &line->next; *startp != 0; startp = &(*startp)->next) {
      hyphenation_type this_type = (*startp)->get_hyphenation_type();
      if (prev_type == HYPHEN_BOUNDARY && this_type == HYPHEN_MIDDLE)
        break;
--- 1587,1594 ----
    if (line == 0)
      return;
    hyphenation_type prev_type = line->get_hyphenation_type();
!   node **startp;
!   for (startp = &line->next; *startp != 0; startp = &(*startp)->next) {
      hyphenation_type this_type = (*startp)->get_hyphenation_type();
      if (prev_type == HYPHEN_BOUNDARY && this_type == HYPHEN_MIDDLE)
        break;
***************
*** 1705,1711 ****
      space_total = 0;
      width_total = 0;
      node *first_non_discardable = 0;
!     for (node *tem = line; tem != 0; tem = tem->next)
        if (!tem->discardable())
  	first_non_discardable = tem;
      node *to_be_discarded;
--- 1707,1714 ----
      space_total = 0;
      width_total = 0;
      node *first_non_discardable = 0;
!     node *tem;
!     for (tem = line; tem != 0; tem = tem->next)
        if (!tem->discardable())
  	first_non_discardable = tem;
      node *to_be_discarded;
***************
*** 2025,2031 ****
  tab_type tab_stops::distance_to_next_tab(hunits curpos, hunits *distance)
  {
    hunits lastpos = 0;
!   for (tab *tem = initial_list; tem && tem->pos <= curpos; tem = tem->next)
      lastpos = tem->pos;
    if (tem) {
      *distance = tem->pos - curpos;
--- 2028,2035 ----
  tab_type tab_stops::distance_to_next_tab(hunits curpos, hunits *distance)
  {
    hunits lastpos = 0;
!   tab *tem;
!   for (tem = initial_list; tem && tem->pos <= curpos; tem = tem->next)
      lastpos = tem->pos;
    if (tem) {
      *distance = tem->pos - curpos;
***************
*** 2053,2059 ****
    static int buf_size = 0;
    // figure out a maximum on the amount of space we can need
    int count = 0;
!   for (tab *p = initial_list; p; p = p->next)
      ++count;
    for (p = repeated_list; p; p = p->next)
      ++count;
--- 2057,2064 ----
    static int buf_size = 0;
    // figure out a maximum on the amount of space we can need
    int count = 0;
!   tab *p;
!   for (p = initial_list; p; p = p->next)
      ++count;
    for (p = repeated_list; p; p = p->next)
      ++count;
***************
*** 2149,2155 ****
  
  void tab_stops::add_tab(hunits pos, tab_type type, int repeated)
  {
!   for (tab **p = repeated ? &repeated_list : &initial_list; *p; p = &(*p)->next)
      ;
    *p = new tab(pos, type);
  }
--- 2154,2161 ----
  
  void tab_stops::add_tab(hunits pos, tab_type type, int repeated)
  {
!   tab **p;
!   for (p = repeated ? &repeated_list : &initial_list; *p; p = &(*p)->next)
      ;
    *p = new tab(pos, type);
  }
***************
*** 2282,2288 ****
      field_spaces += tab_field_spaces;
    }
    if (tab_contents != 0) {
!     for (node *tem = tab_contents; tem->next != 0; tem = tem->next)
        ;
      tem->next = line;
      line = tab_contents;
--- 2288,2295 ----
      field_spaces += tab_field_spaces;
    }
    if (tab_contents != 0) {
!     node *tem;
!     for (tem = tab_contents; tem->next != 0; tem = tem->next)
        ;
      tem->next = line;
      line = tab_contents;
***************
*** 2390,2396 ****
  	    current_tab = TAB_NONE;
  	  }
  	  if (tab_contents != 0) {
! 	    for (node *tem = tab_contents; tem->next != 0; tem = tem->next)
  	      ;
  	    tem->next = line;
  	    line = tab_contents;
--- 2397,2404 ----
  	    current_tab = TAB_NONE;
  	  }
  	  if (tab_contents != 0) {
! 	    node *tem;
! 	    for (tem = tab_contents; tem->next != 0; tem = tem->next)
  	      ;
  	    tem->next = line;
  	    line = tab_contents;
***************
*** 2901,2907 ****
  
  void hyphen_trie::hyphenate(const char *word, int len, int *hyphens)
  {
!   for (int j = 0; j < len+1; j++)
      hyphens[j] = 0;
    for (j = 0; j < len - 1; j++) {
      h = hyphens + j;
--- 2909,2916 ----
  
  void hyphen_trie::hyphenate(const char *word, int len, int *hyphens)
  {
!   int j;
!   for (j = 0; j < len+1; j++)
      hyphens[j] = 0;
    for (j = 0; j < len - 1; j++) {
      h = hyphens + j;
***************
*** 2986,2992 ****
    int len = 0;
    char hbuf[WORD_MAX+2];
    char *buf = hbuf + 1;
!   for (hyphen_list *tem = h; tem && len < WORD_MAX; tem = tem->next) {
      if (tem->hyphenation_code != 0)
        buf[len++] = tem->hyphenation_code;
      else
--- 2995,3002 ----
    int len = 0;
    char hbuf[WORD_MAX+2];
    char *buf = hbuf + 1;
!   hyphen_list *tem;
!   for (tem = h; tem && len < WORD_MAX; tem = tem->next) {
      if (tem->hyphenation_code != 0)
        buf[len++] = tem->hyphenation_code;
      else
*** old-NetBSD/src/gnu/usr.bin/groff/troff/input.cc
--- NetBSD/src/gnu/usr.bin/groff/troff/input.cc
***************
*** 513,519 ****
  
  void input_stack::next_file(FILE *fp, const char *s)
  {
!   for (input_iterator **pp = &top; *pp != &nil_iterator; pp = &(*pp)->next)
      if ((*pp)->next_file(fp, s))
        return;
    if (++level > limit && limit > 0)
--- 513,520 ----
  
  void input_stack::next_file(FILE *fp, const char *s)
  {
!   input_iterator **pp;
!   for (pp = &top; *pp != &nil_iterator; pp = &(*pp)->next)
      if ((*pp)->next_file(fp, s))
        return;
    if (++level > limit && limit > 0)
***************
*** 1400,1406 ****
  	  symbol s = read_escape_name();
  	  if (s.is_null())
  	    break;
! 	  for (const char *p = s.contents(); *p != '\0'; p++)
  	    if (!csdigit(*p))
  	      break;
  	  if (*p)
--- 1401,1408 ----
  	  symbol s = read_escape_name();
  	  if (s.is_null())
  	    break;
! 	  const char *p;
! 	  for (p = s.contents(); *p != '\0'; p++)
  	    if (!csdigit(*p))
  	      break;
  	  if (*p)
***************
*** 2730,2736 ****
  
  void macro_iterator::add_arg(const macro &m)
  {
!   for (arg_list **p = &args; *p; p = &((*p)->next))
      ;
    *p = new arg_list(m);
    ++argc;
--- 2732,2739 ----
  
  void macro_iterator::add_arg(const macro &m)
  {
!   arg_list **p;
!   for (p = &args; *p; p = &((*p)->next))
      ;
    *p = new arg_list(m);
    ++argc;
***************
*** 3107,3113 ****
      }
    }
    else {
!     for (const char *p = s; *p && csdigit(*p); p++)
        ;
      if (*p)
        error("bad argument name `%1'", s);
--- 3110,3117 ----
      }
    }
    else {
!     const char *p;
!     for (p = s; *p && csdigit(*p); p++)
        ;
      if (*p)
        error("bad argument name `%1'", s);
***************
*** 3245,3251 ****
        const char *s = term.contents();
        int d;
        // see if it matches term
!       for (int i = 0; s[i] != 0; i++) {
  	d = get_copy(&n);
  	if ((unsigned char)s[i] != d)
  	  break;
--- 3249,3256 ----
        const char *s = term.contents();
        int d;
        // see if it matches term
!       int i;
!       for (i = 0; s[i] != 0; i++) {
  	d = get_copy(&n);
  	if ((unsigned char)s[i] != d)
  	  break;
*** old-NetBSD/src/gnu/usr.bin/groff/troff/node.cc
--- NetBSD/src/gnu/usr.bin/groff/troff/node.cc
***************
*** 610,616 ****
    next = tfont_list;
    tfont_list = this;
    tfont_spec plain_spec = plain();
!   for (tfont *p = tfont_list; p; p = p->next)
      if (*p == plain_spec) {
        plain_version = p;
        break;
--- 610,617 ----
    next = tfont_list;
    tfont_list = this;
    tfont_spec plain_spec = plain();
!   tfont *p;
!   for (p = tfont_list; p; p = p->next)
      if (*p == plain_spec) {
        plain_version = p;
        break;
***************
*** 2374,2380 ****
    hunits w = n->width();
    if (w > max_width)
      max_width = w;
!   for (node **p = &list; *p; p = &(*p)->next)
      ;
    n->next = 0;
    *p = n;
--- 2375,2382 ----
    hunits w = n->width();
    if (w > max_width)
      max_width = w;
!   node **p;
!   for (p = &list; *p; p = &(*p)->next)
      ;
    n->next = 0;
    *p = n;
***************
*** 2968,2974 ****
      if (pre == 0)
        *prep = next;
      else {
!       for (node *tem = pre; tem->next != 0; tem = tem->next)
  	;
        tem->next = next;
        *prep = pre;
--- 2970,2977 ----
      if (pre == 0)
        *prep = next;
      else {
!       node *tem;
!       for (tem = pre; tem->next != 0; tem = tem->next)
  	;
        tem->next = next;
        *prep = pre;
***************
*** 3519,3525 ****
    if (list == 0)
      return;
    int npieces = 0;
!   for (node *tem = list; tem; tem = tem->next)
      ++npieces;
    vunits h = list->size();
    vunits totalh = h*npieces;
--- 3522,3529 ----
    if (list == 0)
      return;
    int npieces = 0;
!   node *tem;
!   for (tem = list; tem; tem = tem->next)
      ++npieces;
    vunits h = list->size();
    vunits totalh = h*npieces;
***************
*** 4552,4558 ****
  
  int next_available_font_position()
  {
!   for (int i = 1; i < font_table_size && font_table[i] != 0; i++)
      ;
    return i;
  }
--- 4556,4563 ----
  
  int next_available_font_position()
  {
!   int i;
!   for (i = 1; i < font_table_size && font_table[i] != 0; i++)
      ;
    return i;
  }
*** old-NetBSD/src/gnu/usr.bin/groff/troff/symbol.cc
--- NetBSD/src/gnu/usr.bin/groff/troff/symbol.cc
***************
*** 82,88 ****
      table_used = 0;
    }
    unsigned int hc = hash_string(p);
!   for (const char **pp  = table + hc % table_size; 
         *pp != 0; 
         (pp == table ? pp = table + table_size - 1 : --pp))
      if (strcmp(p, *pp) == 0) {
--- 82,89 ----
      table_used = 0;
    }
    unsigned int hc = hash_string(p);
!   const char **pp;
!   for (pp  = table + hc % table_size; 
         *pp != 0; 
         (pp == table ? pp = table + table_size - 1 : --pp))
      if (strcmp(p, *pp) == 0) {
***************
*** 96,102 ****
    if (table_used  >= table_size - 1 || table_used >= table_size*FULL_MAX) {
      const char **old_table = table;
      unsigned int old_table_size = table_size;
!     for (int i = 1; table_sizes[i] <= old_table_size; i++)
        if (table_sizes[i] == 0)
  	fatal("too many symbols");
      table_size = table_sizes[i];
--- 97,104 ----
    if (table_used  >= table_size - 1 || table_used >= table_size*FULL_MAX) {
      const char **old_table = table;
      unsigned int old_table_size = table_size;
!     int i;
!     for (i = 1; table_sizes[i] <= old_table_size; i++)
        if (table_sizes[i] == 0)
  	fatal("too many symbols");
      table_size = table_sizes[i];
*** old-NetBSD/src/gnu/usr.bin/rcs/rcsdiff/rcsdiff.c
--- NetBSD/src/gnu/usr.bin/rcs/rcsdiff/rcsdiff.c
***************
*** 208,215 ****
  		    /* fall into */
  	    case 'C': case 'F': case 'I': case 'L': case 'W':
  #if DIFF_L
! 		    if (c == 'L'  &&  ++file_labels == 2)
  			faterror("too many -L options");
  #endif
  		    *dcp++ = c;
  		    if (*a)
--- 208,216 ----
  		    /* fall into */
  	    case 'C': case 'F': case 'I': case 'L': case 'W':
  #if DIFF_L
! 		    if (c == 'L'  &&  file_labels++ == 2)
  			faterror("too many -L options");
+ 		    /* fall into */
  #endif
  		    *dcp++ = c;
  		    if (*a)
*** old-NetBSD/src/share/mk/bsd.prog.mk
--- NetBSD/src/share/mk/bsd.prog.mk
***************
*** 20,25 ****
--- 20,26 ----
  LIBDES?=	${DESTDIR}/usr/lib/libdes.a
  LIBEDIT?=	${DESTDIR}/usr/lib/libedit.a
  LIBGCC?=	${DESTDIR}/usr/lib/libgcc.a
+ LIBGNUMALLOC?=	${DESTDIR}/usr/lib/libgnumalloc.a
  LIBL?=		${DESTDIR}/usr/lib/libl.a
  LIBKDB?=	${DESTDIR}/usr/lib/libkdb.a
  LIBKRB?=	${DESTDIR}/usr/lib/libkrb.a
***************
*** 66,77 ****
  .if defined(DESTDIR)
  
  ${PROG}: ${LIBCRT0} ${OBJS} ${LIBC} ${DPADD}
! 	${CC} ${LDFLAGS} ${LDSTATIC} -o ${.TARGET} -nostdlib -L${DESTDIR}/usr/lib ${LIBCRT0} ${OBJS} ${LDADD} -lgcc -lc -lgcc
  
  .else
  
  ${PROG}: ${LIBCRT0} ${OBJS} ${LIBC} ${DPADD}
! 	${CC} ${LDFLAGS} ${LDSTATIC} -o ${.TARGET} ${OBJS} ${LDADD}
  
  .endif	# defined(DESTDIR)
  .endif	# defined(OBJS) && !empty(OBJS)
--- 67,78 ----
  .if defined(DESTDIR)
  
  ${PROG}: ${LIBCRT0} ${OBJS} ${LIBC} ${DPADD}
! 	${LINK} ${LDFLAGS} ${LDSTATIC} -o ${.TARGET} -nostdlib -L${DESTDIR}/usr/lib ${LIBCRT0} ${OBJS} ${LDADD} -lgcc -lc -lgcc
  
  .else
  
  ${PROG}: ${LIBCRT0} ${OBJS} ${LIBC} ${DPADD}
! 	${LINK} ${LDFLAGS} ${LDSTATIC} -o ${.TARGET} ${OBJS} ${LDADD}
  
  .endif	# defined(DESTDIR)
  .endif	# defined(OBJS) && !empty(OBJS)
*** old-NetBSD/src/share/mk/sys.mk
--- NetBSD/src/share/mk/sys.mk
***************
*** 50,55 ****
--- 50,57 ----
  LD=		ld
  LDFLAGS=
  
+ LINK=		$(CC)
+ 
  LINT=		lint
  LINTFLAGS=	-chapbx
  
*** old-NetBSD/src/sys/arch/amiga/Makefile
--- NetBSD/src/sys/arch/amiga/Makefile
***************
*** 3,13 ****
  #	@(#)Makefile	7.3 (Berkeley) 6/9/91
  
  S=${BSDSRCDIR}/sys
! COMM=	$S/vm/*.[ch] $S/ufs/*.[ch] $S/sys/*.h $S/compat/sunos/*.[ch] \
  	$S/nfs/*.[ch] $S/netns/*.[ch] $S/netiso/*.[ch] \
  	$S/netiso/xebec/*.[ch] $S/netinet/*.[ch] $S/netccitt/*.[ch] \
  	$S/net/*.[ch] $S/miscfs/*/*.[ch] $S/kern/*.[ch] $S/dev/*.[ch] \
! 	$S/scsi/*.[ch] $S/lib/libkern/m68k/*.[ch] $S/lib/libkern/*.[ch]
  
  # Makefile for amiga tags file
  
--- 3,14 ----
  #	@(#)Makefile	7.3 (Berkeley) 6/9/91
  
  S=${BSDSRCDIR}/sys
! COMM=	$S/vm/*.[ch] $S/ufs/*/*.[ch] $S/sys/*.h $S/compat/sunos/*.[ch] \
  	$S/nfs/*.[ch] $S/netns/*.[ch] $S/netiso/*.[ch] \
  	$S/netiso/xebec/*.[ch] $S/netinet/*.[ch] $S/netccitt/*.[ch] \
  	$S/net/*.[ch] $S/miscfs/*/*.[ch] $S/kern/*.[ch] $S/dev/*.[ch] \
! 	$S/dev/isa/*.[ch] \
! 	$S/scsi/*.[ch] $S/lib/libkern/arch/m68k/*.[ch] $S/lib/libkern/*.[ch]
  
  # Makefile for amiga tags file
  
***************
*** 17,33 ****
  TAMIGA=	$S/arch/amiga/tags
  SAMIGA=	$S/arch/m68k/m68k/*.c $S/arch/m68k/include/*.h \
  	$S/arch/amiga/amiga/*.[ch] $S/arch/amiga/include/*.h \
! 	$S/arch/amiga/dev/*.[ch]
  AAMIGA=	$S/arch/m68k/m68k/*.s $S/arch/amiga/amiga/*.s
  
  # Directories in which to place amiga tags links
! DAMIGA=	amiga dev include
  
  TAGS:
  	-etags -dt ${COMM} ${SAMIGA} ${AAMIGA}
! 	egrep "^ENTRY(.*)|^ALTENTRY(.*)" ${AAMIGA} | \
! 	    sed "s;\([^:]*\):\([^(]*\)(\([^, )]*\)\(.*\);\3 \1 /^\2(\3\4$$/;" \
! 	    >> ${TAMIGA}/tags
  
  tags:
  	-ctags -dtf ${TAMIGA} ${COMM} ${SAMIGA}
--- 18,34 ----
  TAMIGA=	$S/arch/amiga/tags
  SAMIGA=	$S/arch/m68k/m68k/*.c $S/arch/m68k/include/*.h \
  	$S/arch/amiga/amiga/*.[ch] $S/arch/amiga/include/*.h \
! 	$S/arch/amiga/dev/*.[ch] $S/arch/amiga/isa/*.[ch]
  AAMIGA=	$S/arch/m68k/m68k/*.s $S/arch/amiga/amiga/*.s
  
  # Directories in which to place amiga tags links
! DAMIGA=	amiga dev include isa
  
  TAGS:
  	-etags -dt ${COMM} ${SAMIGA} ${AAMIGA}
! #	egrep "^ENTRY(.*)|^ALTENTRY(.*)" ${AAMIGA} | \
! #	    sed "s;\([^:]*\):\([^(]*\)(\([^, )]*\)\(.*\);\3 \1 /^\2(\3\4$$/;" \
! #	    >> ${TAMIGA}/tags
  
  tags:
  	-ctags -dtf ${TAMIGA} ${COMM} ${SAMIGA}
*** old-NetBSD/src/sys/arch/amiga/amiga/amiga_init.c
--- NetBSD/src/sys/arch/amiga/amiga/amiga_init.c
***************
*** 79,89 ****
   */
  vm_offset_t INTREQRaddr;
  vm_offset_t INTREQWaddr;
! 
! /*
!  * these are used by the extended spl?() macros.
!  */
! volatile unsigned short *amiga_intena_read, *amiga_intena_write;
  
  /*
   * the number of pages in our hw mapping and the start address
--- 79,86 ----
   */
  vm_offset_t INTREQRaddr;
  vm_offset_t INTREQWaddr;
! vm_offset_t INTENARaddr;
! vm_offset_t INTENAWaddr;
  
  /*
   * the number of pages in our hw mapping and the start address
***************
*** 99,104 ****
--- 96,103 ----
  
  static u_long boot_flags;
  
+ void	rollcolor __P((int));
+ 
  void *
  chipmem_steal(amount)
  	long amount;
***************
*** 172,177 ****
--- 171,180 ----
  	u_int tc, end_loaded, ncd, i;
  	u_int *sg, *pg, *pg2;
  
+ #ifdef BOOT_DEBUG
+ 	rollcolor(0x008);
+ #endif
+ 
  	boot_fphystart = fphystart;
  	boot_fphysize = fphysize;
  	boot_cphysize = cphysize;
***************
*** 232,237 ****
--- 235,244 ----
  		}
  	}
  
+ #ifdef BOOT_DEBUG
+ 	rollcolor(0x080);
+ #endif
+ 
  	/*
  	 * Scan ConfigDev list and get size of Zorro I/O boards that are
  	 * outside the Zorro II I/O area.
***************
*** 470,476 ****
  	}
  
  	/*
! 	 *[ following page tables MAY be allocated to ZORRO3 space,
  	 * but they're then later mapped in autoconf.c ]
  	 */
  
--- 477,483 ----
  	}
  
  	/*
! 	 *[ following page tables MAY be allocated to ZORRO2 or ZORRO3 space,
  	 * but they're then later mapped in autoconf.c ]
  	 */
  
***************
*** 492,497 ****
--- 499,508 ----
  	lowram  = fphystart >> PGSHIFT;
  	physmem = fphysize >> PGSHIFT;
  
+ #ifdef BOOT_DEBUG
+ 	rollcolor(0x800);
+ #endif
+ 
  	/*
  	 * get the pmap module in sync with reality.
  	 */
***************
*** 582,587 ****
--- 593,600 ----
  	CUSTOMbase = CUSTOMADDR;
  	INTREQRaddr = (vm_offset_t)&custom.intreqr;
  	INTREQWaddr = (vm_offset_t)&custom.intreq;
+ 	INTENARaddr = (vm_offset_t)&custom.intenar;
+ 	INTENAWaddr = (vm_offset_t)&custom.intena;
  
  	/*
  	 * Get our chip memory allocation system working
***************
*** 597,604 ****
  	i = *(int *)proc0paddr;
  	*(volatile int *)proc0paddr = i;
  
  	/*
! 	 * disable all interupts but enable allow them to be enabled 
  	 * by specific driver code (global int enable bit)
  	 */
  	custom.intena = 0x7fff;				/* disable ints */
--- 610,621 ----
  	i = *(int *)proc0paddr;
  	*(volatile int *)proc0paddr = i;
  
+ #ifdef BOOT_DEBUG
+ 	rollcolor(0x088);
+ #endif
+ 
  	/*
! 	 * disable all interupts but allow them to be enabled 
  	 * by specific driver code (global int enable bit)
  	 */
  	custom.intena = 0x7fff;				/* disable ints */
***************
*** 608,620 ****
  	ciab.icr = 0x7f;			/* and again */
  
  	/*
- 	 * remember address of read and write intena register for use
- 	 * by extended spl?() macros.
- 	 */
- 	amiga_intena_read  = &custom.intenar;
- 	amiga_intena_write = &custom.intena;
- 
- 	/*
  	 * This is needed for 3000's with superkick ROM's. Bit 7 of
  	 * 0xde0002 enables the ROM if set. If this isn't set the machine
  	 * has to be powercycled in order for it to boot again. ICKA! RFH 
--- 625,630 ----
***************
*** 637,643 ****
  {
  	int s, i;
  
! 	s = splhigh();
  	/*
  	 * need to adjust count -
  	 * too slow when cache off, too fast when cache on
--- 647,653 ----
  {
  	int s, i;
  
! 	s = spl7();
  	/*
  	 * need to adjust count -
  	 * too slow when cache off, too fast when cache on
